Jump to content
Sign in to follow this  
MozillasWitness

Only allow certain shipping methods for certain products?

Recommended Posts

For example,

My boss only wants Flat Rate shipping to be available for 16 ounce jars of jam. But USPS to be available for everything else. Is there a module on this site capable of filtering out products like that?

 

Thank you to anyone who can help.

Share this post


Link to post
Share on other sites
For example,

My boss only wants Flat Rate shipping to be available for 16 ounce jars of jam. But USPS to be available for everything else. Is there a module on this site capable of filtering out products like that?

 

Thank you to anyone who can help.

 

Have a look at the Multi Vendor Shipping mod. In this case, you have two "vendors". Your normal products are sold by "you", and your jam jar product is sold by "you (jam jars)". Put the jam jar product under the "you (jam jars)" vendor, enable flat rate shipping for that vendor. Put all other products into the "you" vendor, and enable whichever shipping methods you want for that vendor.

 

Hope this helps,

Max

Share this post


Link to post
Share on other sites

It helps very much, Max. Thank you. That is a perfect idea.

 

I installed it. But when I go to manage one of my vendors, the following message appears above an otherwise normal screen:

Warning: main(includes/classes/xmldocument.php): failed to open stream: No such file or directory in /home/content/b/l/u/bluerooster/html/main/includes/modules/vendors_shipping/upsxml.php on line 27

 

Warning: main(includes/classes/xmldocument.php): failed to open stream: No such file or directory in /home/content/b/l/u/bluerooster/html/main/includes/modules/vendors_shipping/upsxml.php on line 27

 

Fatal error: main(): Failed opening required 'includes/classes/xmldocument.php' (include_path='.:/usr/local/lib/php') in /home/content/b/l/u/bluerooster/html/main/includes/modules/vendors_shipping/upsxml.php on line 27

 

I have checked the problem and found that both XML-related files are there. But I suspect that this message appearing is why I cannot modify any vendors. For referece, I am using OsCommerce 2.2 Release Candidate 2 and an unmodified version of MVS 1.1.

What might the problem be now?

 

Thank you.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×